import { IWebSocketRouteIntegration, WebSocketRouteIntegrationBindOptions, WebSocketRouteIntegrationConfig } from '../../../aws-apigatewayv2';
import { IFunction } from '../../../aws-lambda';
/**
 * (experimental) Lambda WebSocket Integration props.
 *
 * @experimental
 */
export interface LambdaWebSocketIntegrationProps {
    /**
     * (experimental) The handler for this integration.
     *
     * @experimental
     */
    readonly handler: IFunction;
}
/**
 * (experimental) Lambda WebSocket Integration.
 *
 * @experimental
 */
export declare class LambdaWebSocketIntegration implements IWebSocketRouteIntegration {
    private props;
    /**
     * @experimental
     */
    constructor(props: LambdaWebSocketIntegrationProps);
    /**
     * (experimental) Bind this integration to the route.
     *
     * @experimental
     */
    bind(options: WebSocketRouteIntegrationBindOptions): WebSocketRouteIntegrationConfig;
}
