import { CfnRoute } from './appmesh.generated';
import { Construct } from '../../core';
/**
 * (experimental) Configuration for `QueryParameterMatch`.
 *
 * @experimental
 */
export interface QueryParameterMatchConfig {
    /**
     * (experimental) Route CFN configuration for route query parameter match.
     *
     * @experimental
     */
    readonly queryParameterMatch: CfnRoute.QueryParameterProperty;
}
/**
 * (experimental) Used to generate query parameter matching methods.
 *
 * @experimental
 */
export declare abstract class QueryParameterMatch {
    /**
     * (experimental) The value of the query parameter with the given name in the request must match the specified value exactly.
     *
     * @param queryParameterName the name of the query parameter to match against.
     * @param queryParameterValue The exact value to test against.
     * @experimental
     */
    static valueIs(queryParameterName: string, queryParameterValue: string): QueryParameterMatch;
    /**
     * (experimental) Returns the query parameter match configuration.
     *
     * @experimental
     */
    abstract bind(scope: Construct): QueryParameterMatchConfig;
}
