import * as codedeploy from '../../../aws-codedeploy';
import * as codepipeline from '../../../aws-codepipeline';
import { Action } from '../action';
import { Construct } from '../../../core';
/**
 * (experimental) Construction properties of the {@link CodeDeployServerDeployAction CodeDeploy server deploy CodePipeline Action}.
 *
 * @experimental
 */
export interface CodeDeployServerDeployActionProps extends codepipeline.CommonAwsActionProps {
    /**
     * (experimental) The source to use as input for deployment.
     *
     * @experimental
     */
    readonly input: codepipeline.Artifact;
    /**
     * (experimental) The CodeDeploy server Deployment Group to deploy to.
     *
     * @experimental
     */
    readonly deploymentGroup: codedeploy.IServerDeploymentGroup;
}
/**
 * @experimental
 */
export declare class CodeDeployServerDeployAction extends Action {
    private readonly deploymentGroup;
    /**
     * @experimental
     */
    constructor(props: CodeDeployServerDeployActionProps);
    /**
     * (experimental) This is a renamed version of the {@link IAction.bind} method.
     *
     * @experimental
     */
    protected bound(_scope: Construct, _stage: codepipeline.IStage, options: codepipeline.ActionBindOptions): codepipeline.ActionConfig;
}
