import * as constructs from 'constructs';
/**
 * (experimental) Information about the Codebuild or CodePipeline associated with a notification source.
 *
 * @experimental
 */
export interface NotificationRuleSourceConfig {
    /**
     * (experimental) The Amazon Resource Name (ARN) of the notification source.
     *
     * @experimental
     */
    readonly sourceArn: string;
}
/**
 * (experimental) Represents a notification source The source that allows CodeBuild and CodePipeline to associate with this rule.
 *
 * @experimental
 */
export interface INotificationRuleSource {
    /**
     * (experimental) Returns a source configuration for notification rule.
     *
     * @experimental
     */
    bindAsNotificationRuleSource(scope: constructs.Construct): NotificationRuleSourceConfig;
}
