import * as constructs from 'constructs';
/**
 * (experimental) Information about the SNS topic or AWS Chatbot client associated with a notification target.
 *
 * @experimental
 */
export interface NotificationRuleTargetConfig {
    /**
     * (experimental) The target type.
     *
     * Can be an Amazon SNS topic or AWS Chatbot client.
     *
     * @experimental
     */
    readonly targetType: string;
    /**
     * (experimental) The Amazon Resource Name (ARN) of the Amazon SNS topic or AWS Chatbot client.
     *
     * @experimental
     */
    readonly targetAddress: string;
}
/**
 * (experimental) Represents a notification target That allows AWS Chatbot and SNS topic to associate with this rule target.
 *
 * @experimental
 */
export interface INotificationRuleTarget {
    /**
     * (experimental) Returns a target configuration for notification rule.
     *
     * @experimental
     */
    bindAsNotificationRuleTarget(scope: constructs.Construct): NotificationRuleTargetConfig;
}
