import * as cdk from '../../core';
import { Construct } from 'constructs';
import { CfnDeliveryStream } from './kinesisfirehose.generated';
/**
 * (experimental) A Kinesis Data Firehose delivery stream destination configuration.
 *
 * @experimental
 */
export interface DestinationConfig {
    /**
     * (experimental) S3 destination configuration properties.
     *
     * @default - S3 destination is not used.
     * @experimental
     */
    readonly extendedS3DestinationConfiguration?: CfnDeliveryStream.ExtendedS3DestinationConfigurationProperty;
    /**
     * (experimental) Any resources that were created by the destination when binding it to the stack that must be deployed before the delivery stream is deployed.
     *
     * @default []
     * @experimental
     */
    readonly dependables?: cdk.IDependable[];
}
/**
 * (experimental) Options when binding a destination to a delivery stream.
 *
 * @experimental
 */
export interface DestinationBindOptions {
}
/**
 * (experimental) A Kinesis Data Firehose delivery stream destination.
 *
 * @experimental
 */
export interface IDestination {
    /**
     * (experimental) Binds this destination to the Kinesis Data Firehose delivery stream.
     *
     * Implementers should use this method to bind resources to the stack and initialize values using the provided stream.
     *
     * @experimental
     */
    bind(scope: Construct, options: DestinationBindOptions): DestinationConfig;
}
