/**
 * (experimental) Architectures supported by AWS Lambda.
 *
 * @experimental
 */
export declare class Architecture {
    /**
     * (experimental) 64 bit architecture with x86 instruction set.
     *
     * @experimental
     */
    static readonly X86_64: Architecture;
    /**
     * (experimental) 64 bit architecture with the ARM instruction set.
     *
     * @experimental
     */
    static readonly ARM_64: Architecture;
    /**
     * (experimental) Used to specify a custom architecture name.
     *
     * Use this if the architecture name is not yet supported by the CDK.
     *
     * @param name the architecture name as recognized by AWS Lambda.
     * @param dockerPlatform the platform to use for this architecture when building with Docker.
     * @experimental
     */
    static custom(name: string, dockerPlatform?: string): Architecture;
    /**
     * (experimental) The name of the architecture as recognized by the AWS Lambda service APIs.
     *
     * @experimental
     */
    readonly name: string;
    /**
     * (experimental) The platform to use for this architecture when building with Docker.
     *
     * @experimental
     */
    readonly dockerPlatform: string;
    private constructor();
}
