/**
 * (experimental) Version of CloudWatch Lambda Insights.
 *
 * @experimental
 */
export declare abstract class LambdaInsightsVersion {
    /**
     * (experimental) Version 1.0.54.0.
     *
     * @experimental
     */
    static readonly VERSION_1_0_54_0: LambdaInsightsVersion;
    /**
     * (experimental) Version 1.0.86.0.
     *
     * @experimental
     */
    static readonly VERSION_1_0_86_0: LambdaInsightsVersion;
    /**
     * (experimental) Version 1.0.89.0.
     *
     * @experimental
     */
    static readonly VERSION_1_0_89_0: LambdaInsightsVersion;
    /**
     * (experimental) Version 1.0.98.0.
     *
     * @experimental
     */
    static readonly VERSION_1_0_98_0: LambdaInsightsVersion;
    /**
     * (experimental) Use the insights extension associated with the provided ARN.
     *
     * Make sure the ARN is associated
     * with same region as your function
     *
     * @see https://docs.aws.amazon.com/AmazonCloudWatch/latest/monitoring/Lambda-Insights-extension-versions.html
     * @experimental
     */
    static fromInsightVersionArn(arn: string): LambdaInsightsVersion;
    private static fromInsightsVersion;
    /**
     * (experimental) The arn of the Lambda Insights extension.
     *
     * @experimental
     */
    readonly layerVersionArn: string;
}
