import { PolicyDocument, PolicyStatement } from '../../aws-iam';
import { Resource } from '../../core';
import { Construct } from 'constructs';
/**
 * (experimental) Properties to define Cloudwatch log group resource policy.
 *
 * @experimental
 */
export interface ResourcePolicyProps {
    /**
     * (experimental) Name of the log group resource policy.
     *
     * @default - Uses a unique id based on the construct path
     * @experimental
     */
    readonly resourcePolicyName?: string;
    /**
     * (experimental) Initial statements to add to the resource policy.
     *
     * @default - No statements
     * @experimental
     */
    readonly policyStatements?: PolicyStatement[];
}
/**
 * (experimental) Creates Cloudwatch log group resource policies.
 *
 * @experimental
 */
export declare class ResourcePolicy extends Resource {
    /**
     * (experimental) The IAM policy document for this resource policy.
     *
     * @experimental
     */
    readonly document: PolicyDocument;
    /**
     * @experimental
     */
    constructor(scope: Construct, id: string, props?: ResourcePolicyProps);
}
