import * as s3 from '../../aws-s3';
import * as sqs from '../../aws-sqs';
import { Construct } from '../../core';
/**
 * (experimental) Use an SQS queue as a bucket notification destination.
 *
 * @experimental
 */
export declare class SqsDestination implements s3.IBucketNotificationDestination {
    private readonly queue;
    /**
     * @experimental
     */
    constructor(queue: sqs.IQueue);
    /**
     * (experimental) Allows using SQS queues as destinations for bucket notifications.
     *
     * Use `bucket.onEvent(event, queue)` to subscribe.
     *
     * @experimental
     */
    bind(_scope: Construct, bucket: s3.IBucket): s3.BucketNotificationDestinationConfig;
}
