import * as sns from '../../aws-sns';
import { SubscriptionProps } from './subscription';
/**
 * (experimental) Options for SMS subscriptions.
 *
 * @experimental
 */
export interface SmsSubscriptionProps extends SubscriptionProps {
}
/**
 * (experimental) Use an sms address as a subscription target.
 *
 * @experimental
 */
export declare class SmsSubscription implements sns.ITopicSubscription {
    private readonly phoneNumber;
    private readonly props;
    /**
     * @experimental
     */
    constructor(phoneNumber: string, props?: SmsSubscriptionProps);
    /**
     * (experimental) Returns a configuration used to subscribe to an SNS topic.
     *
     * @experimental
     */
    bind(_topic: sns.ITopic): sns.TopicSubscriptionConfig;
}
