import * as ec2 from '../../../aws-ec2';
import * as ecs from '../../../aws-ecs';
import { CommonEcsRunTaskProps, EcsRunTaskBase } from './run-ecs-task-base';
/**
 * (deprecated) Properties to define an ECS service.
 *
 * @deprecated replaced by `EcsRunTask` and `EcsRunTaskProps`
 */
export interface RunEcsFargateTaskProps extends CommonEcsRunTaskProps {
    /**
     * (deprecated) Assign public IP addresses to each task.
     *
     * @default false
     * @deprecated
     */
    readonly assignPublicIp?: boolean;
    /**
     * (deprecated) In what subnets to place the task's ENIs.
     *
     * @default Private subnet if assignPublicIp, public subnets otherwise
     * @deprecated
     */
    readonly subnets?: ec2.SubnetSelection;
    /**
     * (deprecated) Existing security group to use for the tasks.
     *
     * @default A new security group is created
     * @deprecated
     */
    readonly securityGroup?: ec2.ISecurityGroup;
    /**
     * (deprecated) Fargate platform version to run this service on.
     *
     * Unless you have specific compatibility requirements, you don't need to
     * specify this.
     *
     * @default Latest
     * @deprecated
     */
    readonly platformVersion?: ecs.FargatePlatformVersion;
}
/**
 * (deprecated) Start a service on an ECS cluster.
 *
 * @deprecated replaced by `EcsRunTask`
 */
export declare class RunEcsFargateTask extends EcsRunTaskBase {
    /**
     * @deprecated
     */
    constructor(props: RunEcsFargateTaskProps);
}
