import * as lambda from '../../../aws-lambda';
import * as sfn from '../../../aws-stepfunctions';
/**
 * (deprecated) Properties for InvokeFunction.
 *
 * @deprecated use `LambdaInvoke`
 */
export interface InvokeFunctionProps {
    /**
     * (deprecated) The JSON that you want to provide to your Lambda function as input.
     *
     * This parameter is named as payload to keep consistent with RunLambdaTask class.
     *
     * @default - The JSON data indicated by the task's InputPath is used as payload
     * @deprecated
     */
    readonly payload?: {
        [key: string]: any;
    };
}
/**
 * (deprecated) A Step Functions Task to invoke a Lambda function.
 *
 * The Lambda function Arn is defined as Resource in the state machine definition.
 *
 * OUTPUT: the output of this task is the return value of the Lambda Function.
 *
 * @deprecated Use `LambdaInvoke`
 */
export declare class InvokeFunction implements sfn.IStepFunctionsTask {
    private readonly lambdaFunction;
    private readonly props;
    /**
     * @deprecated
     */
    constructor(lambdaFunction: lambda.IFunction, props?: InvokeFunctionProps);
    /**
     * (deprecated) Called when the task object is used in a workflow.
     *
     * @deprecated
     */
    bind(_task: sfn.Task): sfn.StepFunctionsTaskConfig;
}
