import * as iam from '../../../aws-iam';
import * as sfn from '../../../aws-stepfunctions';
import { Construct } from 'constructs';
/**
 * (experimental) Properties for invoking an Activity worker.
 *
 * @experimental
 */
export interface StepFunctionsInvokeActivityProps extends sfn.TaskStateBaseProps {
    /**
     * (experimental) Step Functions Activity to invoke.
     *
     * @experimental
     */
    readonly activity: sfn.IActivity;
}
/**
 * (experimental) A Step Functions Task to invoke an Activity worker.
 *
 * An Activity can be used directly as a Resource.
 *
 * @experimental
 */
export declare class StepFunctionsInvokeActivity extends sfn.TaskStateBase {
    private readonly props;
    /**
     * @experimental
     */
    protected readonly taskMetrics?: sfn.TaskMetricsConfig;
    /**
     * @experimental
     */
    protected readonly taskPolicies?: iam.PolicyStatement[];
    /**
     * @experimental
     */
    constructor(scope: Construct, id: string, props: StepFunctionsInvokeActivityProps);
    /**
     * @internal
     */
    protected _renderTask(): any;
}
