import * as cxschema from '../../../cloud-assembly-schema';
import { CloudArtifact } from '../cloud-artifact';
import { CloudAssembly } from '../cloud-assembly';
/**
 * (experimental) Asset manifest is a description of a set of assets which need to be built and published.
 *
 * @experimental
 */
export declare class AssetManifestArtifact extends CloudArtifact {
    /**
     * (experimental) The file name of the asset manifest.
     *
     * @experimental
     */
    readonly file: string;
    /**
     * (experimental) Version of bootstrap stack required to deploy this stack.
     *
     * @experimental
     */
    readonly requiresBootstrapStackVersion: number;
    /**
     * (experimental) Name of SSM parameter with bootstrap stack version.
     *
     * @default - Discover SSM parameter by reading stack
     * @experimental
     */
    readonly bootstrapStackVersionSsmParameter?: string;
    /**
     * @experimental
     */
    constructor(assembly: CloudAssembly, name: string, artifact: cxschema.ArtifactManifest);
}
