import { Step } from './step';
/**
 * (experimental) Construction properties for a `ManualApprovalStep`.
 *
 * @experimental
 */
export interface ManualApprovalStepProps {
    /**
     * (experimental) The comment to display with this manual approval.
     *
     * @default - No comment
     * @experimental
     */
    readonly comment?: string;
}
/**
 * (experimental) A manual approval step.
 *
 * If this step is added to a Pipeline, the Pipeline will
 * be paused waiting for a human to resume it
 *
 * Only engines that support pausing the deployment will
 * support this step type.
 *
 * @experimental
 */
export declare class ManualApprovalStep extends Step {
    /**
     * (experimental) The comment associated with this manual approval.
     *
     * @default - No comment
     * @experimental
     */
    readonly comment?: string;
    /**
     * @experimental
     */
    constructor(id: string, props?: ManualApprovalStepProps);
}
