import * as cp from '../../../aws-codepipeline';
import { FileSet } from '../blueprint';
/**
 * (experimental) Translate FileSets to CodePipeline Artifacts.
 *
 * @experimental
 */
export declare class ArtifactMap {
    private artifacts;
    private usedNames;
    /**
     * (experimental) Return the matching CodePipeline artifact for a FileSet.
     *
     * @experimental
     */
    toCodePipeline(x: FileSet): cp.Artifact;
    private makeUniqueName;
}
/**
 * (experimental) A FileSet created from a CodePipeline artifact.
 *
 * You only need to use this if you want to add CDK Pipeline stages
 * add the end of an existing CodePipeline, which should be very rare.
 *
 * @experimental
 */
export declare class CodePipelineFileSet extends FileSet {
    /**
     * (experimental) Turn a CodePipeline Artifact into a FileSet.
     *
     * @experimental
     */
    static fromArtifact(artifact: cp.Artifact): CodePipelineFileSet;
    /**
     * The artifact this class is wrapping
     *
     * @internal
     */
    readonly _artifact: cp.Artifact;
    private constructor();
}
