import { IStage } from '../../../aws-codepipeline';
import * as sns from '../../../aws-sns';
import { Stage } from '../../../core';
import { Step } from '../blueprint';
import { CodePipelineActionFactoryResult, ICodePipelineActionFactory, ProduceActionOptions } from './codepipeline-action-factory';
/**
 * (experimental) Properties for a `PermissionsBroadeningCheck`.
 *
 * @experimental
 */
export interface PermissionsBroadeningCheckProps {
    /**
     * (experimental) The CDK Stage object to check the stacks of.
     *
     * This should be the same Stage object you are passing to `addStage()`.
     *
     * @experimental
     */
    readonly stage: Stage;
    /**
     * (experimental) Topic to send notifications when a human needs to give manual confirmation.
     *
     * @default - no notification
     * @experimental
     */
    readonly notificationTopic?: sns.ITopic;
}
/**
 * (experimental) Pause the pipeline if a deployment would add IAM permissions or Security Group rules.
 *
 * This step is only supported in CodePipeline pipelines.
 *
 * @experimental
 */
export declare class ConfirmPermissionsBroadening extends Step implements ICodePipelineActionFactory {
    private readonly props;
    /**
     * @experimental
     */
    constructor(id: string, props: PermissionsBroadeningCheckProps);
    /**
     * (experimental) Create the desired Action and add it to the pipeline.
     *
     * @experimental
     */
    produceAction(stage: IStage, options: ProduceActionOptions): CodePipelineActionFactoryResult;
    private getOrCreateSecCheck;
}
