import * as codepipeline from '../../../../aws-codepipeline';
import * as events from '../../../../aws-events';
import * as iam from '../../../../aws-iam';
import * as cxapi from '../../../../cx-api';
import { Construct } from 'constructs';
import { Construct as CoreConstruct } from '../../../../core';
/**
 * (deprecated) Customization options for a DeployCdkStackAction.
 *
 * @deprecated This class is part of the old API. Use the API based on the `CodePipeline` class instead
 */
export interface DeployCdkStackActionOptions {
    /**
     * (deprecated) Base name of the action.
     *
     * @default stackName
     * @deprecated
     */
    readonly baseActionName?: string;
    /**
     * (deprecated) The CodePipeline artifact that holds the Cloud Assembly.
     *
     * @deprecated
     */
    readonly cloudAssemblyInput: codepipeline.Artifact;
    /**
     * (deprecated) Run order for the Prepare action.
     *
     * @default 1
     * @deprecated
     */
    readonly prepareRunOrder?: number;
    /**
     * (deprecated) Run order for the Execute action.
     *
     * @default - prepareRunOrder + 1
     * @deprecated
     */
    readonly executeRunOrder?: number;
    /**
     * (deprecated) Artifact to write Stack Outputs to.
     *
     * @default - No outputs
     * @deprecated
     */
    readonly output?: codepipeline.Artifact;
    /**
     * (deprecated) Filename in output to write Stack outputs to.
     *
     * @default - Required when 'output' is set
     * @deprecated
     */
    readonly outputFileName?: string;
    /**
     * (deprecated) Name of the change set to create and deploy.
     *
     * @default 'PipelineChange'
     * @deprecated
     */
    readonly changeSetName?: string;
}
/**
 * (deprecated) Properties for a DeployCdkStackAction.
 *
 * @deprecated This class is part of the old API. Use the API based on the `CodePipeline` class instead
 */
export interface DeployCdkStackActionProps extends DeployCdkStackActionOptions {
    /**
     * (deprecated) Relative path of template in the input artifact.
     *
     * @deprecated
     */
    readonly templatePath: string;
    /**
     * (deprecated) Role for the action to assume.
     *
     * This controls the account to deploy into
     *
     * @deprecated
     */
    readonly actionRole: iam.IRole;
    /**
     * (deprecated) The name of the stack that should be created/updated.
     *
     * @deprecated
     */
    readonly stackName: string;
    /**
     * (deprecated) Role to execute CloudFormation under.
     *
     * @default - Execute CloudFormation using the action role
     * @deprecated
     */
    readonly cloudFormationExecutionRole?: iam.IRole;
    /**
     * (deprecated) Region to deploy into.
     *
     * @default - Same region as pipeline
     * @deprecated
     */
    readonly region?: string;
    /**
     * (deprecated) Artifact ID for the stack deployed here.
     *
     * Used for pipeline order checking.
     *
     * @default - Order will not be checked
     * @deprecated
     */
    readonly stackArtifactId?: string;
    /**
     * (deprecated) Artifact ID for the stacks this stack depends on.
     *
     * Used for pipeline order checking.
     *
     * @default - No dependencies
     * @deprecated
     */
    readonly dependencyStackArtifactIds?: string[];
    /**
     * (deprecated) Template configuration path relative to the input artifact.
     *
     * @default - No template configuration
     * @deprecated
     */
    readonly templateConfigurationPath?: string;
}
/**
 * (deprecated) Options for the 'fromStackArtifact' operation.
 *
 * @deprecated This class is part of the old API. Use the API based on the `CodePipeline` class instead
 */
export interface CdkStackActionFromArtifactOptions extends DeployCdkStackActionOptions {
    /**
     * (deprecated) The name of the stack that should be created/updated.
     *
     * @default - Same as stack artifact
     * @deprecated
     */
    readonly stackName?: string;
}
/**
 * (deprecated) Action to deploy a CDK Stack.
 *
 * Adds two CodePipeline Actions to the pipeline: one to create a ChangeSet
 * and one to execute it.
 *
 * You do not need to instantiate this action yourself -- it will automatically
 * be added by the pipeline when you add stack artifacts or entire stages.
 *
 * @deprecated This class is part of the old API. Use the API based on the `CodePipeline` class instead
 */
export declare class DeployCdkStackAction implements codepipeline.IAction {
    /**
     * (deprecated) Construct a DeployCdkStackAction from a Stack artifact.
     *
     * @deprecated
     */
    static fromStackArtifact(scope: Construct, artifact: cxapi.CloudFormationStackArtifact, options: CdkStackActionFromArtifactOptions): DeployCdkStackAction;
    /**
     * (deprecated) The runorder for the prepare action.
     *
     * @deprecated
     */
    readonly prepareRunOrder: number;
    /**
     * (deprecated) The runorder for the execute action.
     *
     * @deprecated
     */
    readonly executeRunOrder: number;
    /**
     * (deprecated) Name of the deployed stack.
     *
     * @deprecated
     */
    readonly stackName: string;
    /**
     * (deprecated) Artifact id of the artifact this action was based on.
     *
     * @deprecated
     */
    readonly stackArtifactId?: string;
    /**
     * (deprecated) Artifact ids of the artifact this stack artifact depends on.
     *
     * @deprecated
     */
    readonly dependencyStackArtifactIds: string[];
    private readonly prepareChangeSetAction;
    private readonly executeChangeSetAction;
    /**
     * @deprecated
     */
    constructor(props: DeployCdkStackActionProps);
    /**
     * (deprecated) Exists to implement IAction.
     *
     * @deprecated
     */
    bind(scope: CoreConstruct, stage: codepipeline.IStage, options: codepipeline.ActionBindOptions): codepipeline.ActionConfig;
    /**
     * (deprecated) Exists to implement IAction.
     *
     * @deprecated
     */
    onStateChange(name: string, target?: events.IRuleTarget, options?: events.RuleProps): events.Rule;
    /**
     * (deprecated) Exists to implement IAction.
     *
     * @deprecated
     */
    get actionProperties(): codepipeline.ActionProperties;
}
/**
 * (deprecated) Options for CdkDeployAction.fromStackArtifact.
 *
 * @deprecated This class is part of the old API. Use the API based on the `CodePipeline` class instead
 */
export interface FromStackArtifactOptions {
    /**
     * (deprecated) The CodePipeline artifact that holds the Cloud Assembly.
     *
     * @deprecated
     */
    readonly cloudAssemblyInput: codepipeline.Artifact;
    /**
     * (deprecated) Run order for the 2 actions that will be created.
     *
     * @default 1
     * @deprecated
     */
    readonly prepareRunOrder?: number;
    /**
     * (deprecated) Run order for the Execute action.
     *
     * @default - prepareRunOrder + 1
     * @deprecated
     */
    readonly executeRunOrder?: number;
    /**
     * (deprecated) Artifact to write Stack Outputs to.
     *
     * @default - No outputs
     * @deprecated
     */
    readonly output?: codepipeline.Artifact;
    /**
     * (deprecated) Filename in output to write Stack outputs to.
     *
     * @default - Required when 'output' is set
     * @deprecated
     */
    readonly outputFileName?: string;
}
