import * as codebuild from '../../../../aws-codebuild';
import * as codepipeline from '../../../../aws-codepipeline';
import * as ec2 from '../../../../aws-ec2';
import * as events from '../../../../aws-events';
import * as iam from '../../../../aws-iam';
import { IDependable } from '../../../../core';
import { Construct } from 'constructs';
import { AssetType } from '../../blueprint/asset-type';
import { Construct as CoreConstruct } from '../../../../core';
/**
 * (deprecated) Props for a PublishAssetsAction.
 *
 * @deprecated This class is part of the old API. Use the API based on the `CodePipeline` class instead
 */
export interface PublishAssetsActionProps {
    /**
     * (deprecated) Name of publishing action.
     *
     * @deprecated
     */
    readonly actionName: string;
    /**
     * (deprecated) The CodePipeline artifact that holds the Cloud Assembly.
     *
     * @deprecated
     */
    readonly cloudAssemblyInput: codepipeline.Artifact;
    /**
     * (deprecated) AssetType we're publishing.
     *
     * @deprecated
     */
    readonly assetType: AssetType;
    /**
     * (deprecated) Version of CDK CLI to 'npm install'.
     *
     * @default - Latest version
     * @deprecated
     */
    readonly cdkCliVersion?: string;
    /**
     * (deprecated) Name of the CodeBuild project.
     *
     * @default - Automatically generated
     * @deprecated
     */
    readonly projectName?: string;
    /**
     * (deprecated) Role to use for CodePipeline and CodeBuild to build and publish the assets.
     *
     * @default - Automatically generated
     * @deprecated
     */
    readonly role?: iam.IRole;
    /**
     * (deprecated) Any Dependable construct that the CodeBuild project needs to take a dependency on.
     *
     * @default - none
     * @deprecated
     */
    readonly dependable?: IDependable;
    /**
     * (deprecated) The VPC where to execute the PublishAssetsAction.
     *
     * @default - No VPC
     * @deprecated
     */
    readonly vpc?: ec2.IVpc;
    /**
     * (deprecated) Which subnets to use.
     *
     * Only used if 'vpc' is supplied.
     *
     * @default - All private subnets.
     * @deprecated
     */
    readonly subnetSelection?: ec2.SubnetSelection;
    /**
     * (deprecated) Custom BuildSpec that is merged with generated one.
     *
     * @default - none
     * @deprecated
     */
    readonly buildSpec?: codebuild.BuildSpec;
    /**
     * (deprecated) Use a file buildspec written to the cloud assembly instead of an inline buildspec.
     *
     * This prevents size limitation errors as inline specs have a max length of 25600 characters
     *
     * @default false
     * @deprecated
     */
    readonly createBuildspecFile?: boolean;
    /**
     * (deprecated) Additional commands to run before installing cdk-assert Use this to setup proxies or npm mirrors.
     *
     * @default -
     * @deprecated
     */
    readonly preInstallCommands?: string[];
}
/**
 * (deprecated) Action to publish an asset in the pipeline.
 *
 * Creates a CodeBuild project which will use the CDK CLI
 * to prepare and publish the asset.
 *
 * You do not need to instantiate this action -- it will automatically
 * be added by the pipeline when you add stacks that use assets.
 *
 * @deprecated This class is part of the old API. Use the API based on the `CodePipeline` class instead
 */
export declare class PublishAssetsAction extends CoreConstruct implements codepipeline.IAction {
    private readonly props;
    private readonly action;
    private readonly commands;
    private readonly buildSpec;
    /**
     * @deprecated
     */
    constructor(scope: Construct, id: string, props: PublishAssetsActionProps);
    private getBuildSpecFileName;
    private _onSynth;
    /**
     * (deprecated) Add a single publishing command.
     *
     * Manifest path should be relative to the root Cloud Assembly.
     *
     * @deprecated
     */
    addPublishCommand(relativeManifestPath: string, assetSelector: string): void;
    /**
     * (deprecated) Exists to implement IAction.
     *
     * @deprecated
     */
    bind(scope: CoreConstruct, stage: codepipeline.IStage, options: codepipeline.ActionBindOptions): codepipeline.ActionConfig;
    /**
     * (deprecated) Exists to implement IAction.
     *
     * @deprecated
     */
    onStateChange(name: string, target?: events.IRuleTarget, options?: events.RuleProps): events.Rule;
    /**
     * (deprecated) Exists to implement IAction.
     *
     * @deprecated
     */
    get actionProperties(): codepipeline.ActionProperties;
}
