import * as codebuild from '../../../../aws-codebuild';
import * as codepipeline from '../../../../aws-codepipeline';
import * as events from '../../../../aws-events';
import { Construct } from 'constructs';
import { DockerCredential } from '../../docker-credentials';
import { Construct as CoreConstruct } from '../../../../core';
/**
 * (deprecated) Props for the UpdatePipelineAction.
 *
 * @deprecated This class is part of the old API. Use the API based on the `CodePipeline` class instead
 */
export interface UpdatePipelineActionProps {
    /**
     * (deprecated) The CodePipeline artifact that holds the Cloud Assembly.
     *
     * @deprecated
     */
    readonly cloudAssemblyInput: codepipeline.Artifact;
    /**
     * (deprecated) Name of the pipeline stack.
     *
     * @default - none
     * @deprecated - Use `pipelineStackHierarchicalId` instead.
     */
    readonly pipelineStackName?: string;
    /**
     * (deprecated) Hierarchical id of the pipeline stack.
     *
     * @deprecated
     */
    readonly pipelineStackHierarchicalId: string;
    /**
     * (deprecated) Version of CDK CLI to 'npm install'.
     *
     * @default - Latest version
     * @deprecated
     */
    readonly cdkCliVersion?: string;
    /**
     * (deprecated) Name of the CodeBuild project.
     *
     * @default - Automatically generated
     * @deprecated
     */
    readonly projectName?: string;
    /**
     * (deprecated) Whether the build step should run in privileged mode.
     *
     * @default - false
     * @deprecated
     */
    readonly privileged?: boolean;
    /**
     * (deprecated) Docker registries and associated credentials necessary during the pipeline self-update stage.
     *
     * @default []
     * @deprecated
     */
    readonly dockerCredentials?: DockerCredential[];
    /**
     * (deprecated) Custom BuildSpec that is merged with generated one.
     *
     * @default - none
     * @deprecated
     */
    readonly buildSpec?: codebuild.BuildSpec;
}
/**
 * (deprecated) Action to self-mutate the pipeline.
 *
 * Creates a CodeBuild project which will use the CDK CLI
 * to deploy the pipeline stack.
 *
 * You do not need to instantiate this action -- it will automatically
 * be added by the pipeline.
 *
 * @deprecated This class is part of the old API. Use the API based on the `CodePipeline` class instead
 */
export declare class UpdatePipelineAction extends CoreConstruct implements codepipeline.IAction {
    private readonly action;
    /**
     * @deprecated
     */
    constructor(scope: Construct, id: string, props: UpdatePipelineActionProps);
    /**
     * (deprecated) Exists to implement IAction.
     *
     * @deprecated
     */
    bind(scope: CoreConstruct, stage: codepipeline.IStage, options: codepipeline.ActionBindOptions): codepipeline.ActionConfig;
    /**
     * (deprecated) Exists to implement IAction.
     *
     * @deprecated
     */
    onStateChange(name: string, target?: events.IRuleTarget, options?: events.RuleProps): events.Rule;
    /**
     * (deprecated) Exists to implement IAction.
     *
     * @deprecated
     */
    get actionProperties(): codepipeline.ActionProperties;
}
